clc, clear;

data1 = csvread("sim2_trajectory_proton.csv", 2, 0);
data2 = csvread("sim2_trajectory_neutron.csv", 2, 0);
data3 = csvread("sim2_trajectory_electron.csv", 2, 0);

hold on
plot(data1(:,2), data1(:,3), "r-");
plot(data2(:,2), data2(:,3), "g-");
plot(data3(:,2), data3(:,3), "b-");

title("Graf závislosti pohybu částice na hmotnosti a náboji.")
xlabel('x[m]')
ylabel('y[m]')

legend({"Těžká, kladně nabitá částice", "Částice s nulovým nábojem", "Lehká, záporně nabitá částice"}, 'Location', 'southeast')
legend('boxoff')
axis equal